# QPropertyAnimation Class Reference

### [com.trolltech.qt.core package]

Inherits QVariantAnimation.

### Constructor

- void QPropertyAnimation(QObject parent)
- void QPropertyAnimation(QObject target, QByteArray propertyName, QObject parent)

### Constructor Properties

- prototype: The QPropertyAnimation prototype object

### Instance Properties

QPropertyAnimation objects inherit properties from the QPropertyAnimation prototype object and also have the following properties.

- propertyName
- targetObject